%global gitdate 20150910
%global gitrev  e17bbae

Name:           git-bz
Version:        0
Release:        0.11.%{gitdate}git%{gitrev}%{?dist}
Summary:        Command line integration of git with Bugzilla

License:        GPLv2+
URL:            http://blog.fishsoup.net/2008/11/16/git-bz-bugzilla-subcommand-for-git/
Source0:        http://git.fishsoup.net/cgit/git-bz/snapshot/%{name}-%{gitrev}.tar.bz2
BuildArch:      noarch

Requires:       git
# For Chrome/Chromium encrypted cookie support
Recommends:     python2-crypto
BuildRequires:  asciidoc
BuildRequires:  xmlto

%description
git-bz is a tool for integrating the Git command line with the
Bugzilla bug-tracking system. Operations such as attaching patches to
bugs, applying patches in bugs to your current tree, and closing bugs
once you've pushed the fixes publicly can be done completely from the
command line without having to go to your web browser.


%prep
%autosetup -n %{name}-%{gitrev}


%build
%configure
%make_build


%install
rm -rf $RPM_BUILD_ROOT
%make_install


%files
%license COPYING
%doc git-bz.html TODO
%{_bindir}/git-bz
%{_mandir}/man1/git-bz.1*


%changelog
* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.11.20150910gite17bbae
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.10.20150910gite17bbae
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.9.20150910gite17bbae
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.8.20150910gite17bbae
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sun Jun 25 2017 Ville Skyttä <ville.skytta@iki.fi> - 0-0.7.20150910gite17bbae
- Recommend python2-crypto instead of python-crypto

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.6.20150910gite17bbae
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.5.20150910gite17bbae
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Sep 10 2015 Ville Skyttä <ville.skytta@iki.fi> - 0-0.4.20150910gite17bbae
- Update to current upstream git (#1262465)

* Sat Jul 25 2015 Ville Skyttä <ville.skytta@iki.fi> - 0-0.4.20150708gitea1947c
- Update to current upstream git, adds Chrome/Chromium encrypted cookie support

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.4.20150227git612e669
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Mar 12 2015 Ville Skyttä <ville.skytta@iki.fi> - 0-0.3.20150227git612e669
- Update to current upstream git

* Fri Feb 20 2015 Ville Skyttä <ville.skytta@iki.fi> - 0-0.3.20150220gitfe35f65
- Update to current upstream git

* Fri Feb 13 2015 Ville Skyttä <ville.skytta@iki.fi> - 0-0.3.20150213git396b908
- Update to current upstream git

* Wed Jan 28 2015 Ville Skyttä <ville.skytta@iki.fi> - 0-0.3.20130906git5ae7a50
- Ship COPYING as %%license where available

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.2.20130906git5ae7a50
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Jan 10 2014 Ville Skyttä <ville.skytta@iki.fi> - 0-0.1.20130906git5ae7a50
- First build.
